Bug 439669 - 100% CPU Usage
100% CPU Usage
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: thinkfinger (Show other bugs)
9
All Linux
low Severity high
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-30 04:00 EDT by Saikat Guha
Modified: 2009-07-14 12:04 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:04:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Saikat Guha 2008-03-30 04:00:21 EDT
Description of problem:

hald-addon-input is consuming 100% on my ThinkPad X41T tablet PC. The laptop
includes a Wacom Serial Tablet PC Stylus, a Trackpoint, and a keyboard (but no
trackpad).

ps and /proc/<pid>/cmdline return the command line as:
  "hald-addon-input: Listening on /dev/input/event3 /dev/input/event4
/dev/input/event5 /dev/input/event1 /dev/input/event7"
(with the ':' and everything)

Attaching to the process with strace shows a tight poll loop:
  poll([{fd=4, events=POLLIN}, {fd=5, events=POLLIN}, {fd=6, events=POLLIN},
{fd=8, events=POLLIN}, {fd=9, events=POLLIN, revents=POLLNVAL}, {fd=3,
events=POLLIN}, {fd=7, events=POLLIN}], 7, -1) = 1

(note the POLLNVAL for fd=9)

ls /proc/<pid>/fd
only lists fd's 0..8

Version-Release number of selected component (if applicable):
hal-0.5.11-0.2.rc2.fc9.i386

How reproducible:
Always

Steps to Reproduce:
1.Start X
2.Run top
  
Actual results:
100% CPU usage. Laptop almost, but not quite, hot enough to fry eggs.

Expected results:
No coagulation of eggs.

Additional info:
Just upgraded to Rawhide using yum on March 30th from an up-to-date and
perfectly working Fedora 8 installation.
Comment 1 Saikat Guha 2008-03-30 05:00:23 EDT
The problem seems to be caused by the thinkfinger (fingerprint reader)

Removing thinkfinger-0.3-8.fc9.i386 temporarily mitigates the problem.
Comment 2 Bug Zapper 2008-05-14 04:26:00 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-06-09 19:56:08 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-07-14 12:04:42 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.